Top-Themen

AppleEntwicklungHardwareInternetLinuxMicrosoftMultimediaNetzwerkeOff TopicSicherheitSonstige SystemeVirtualisierungWeiterbildungZusammenarbeit

Aktuelle Themen

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit
GELÖST

Linux Libary fehlt auf RedHat

Frage Linux RedHat, CentOS, Fedora

Mitglied: winlin

winlin (Level 2) - Jetzt verbinden

03.04.2013 um 14:14 Uhr, 1738 Aufrufe, 8 Kommentare

Hallo Leute,

ich habe nach folgender Anleitung ein Debian Package extrahiert und es so angepasst das es auch für andere Distributionen verwendet werden kann. Siehe http://mindfluxinc.net/?p=288#comments

Naja hat alles super geklappt und beim letzten Schritt, nachdem ich es dann extrahiert habe bekomme ich beim Aufruf folgenden Fehler unter Linux:
01.
vmware-view: error while loading shared libraries: libgio-2.0.so.0: cannot open shared object file: No such file or directory
Bei dem o.g. VMWare View Paket handelt es sich ja um eine 32bit Anwendung. Ich brauche also die Libary aus der Error Meldung für mein Red Hat Linux Enterprise 5.5 x64 System (Kernel: 2.6.18-308.8.2.el5)

Doch egal was ich herunterlade - es fehlen immer noch andere Libs?! Was muss ich denn installieren damit der og. Fehler nicht mehr auftaucht?
Mitglied: winlin
03.04.2013 um 14:19 Uhr
Wenn ich das hier installiere:
01.
http://pkgs.org/centos-5-rhel-5/centos-rhel-x86_64/glib2-2.12.3-4.el5_3.1.x86_64.rpm/download/
erhalte ich folgende Fehlermeldung:
01.
warning: glib2-2.12.3-4.el5_3.1.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID e8562897 
02.
Preparing...                ########################################### [100%] 
03.
        package glib2-2.12.3-4.el5_3.1.x86_64 is already installed 
04.
        file /lib64/libglib-2.0.so.0.1200.3 from install of glib2-2.12.3-4.el5_3.1.x86_64 conflicts with file from package glib2-2.12.3-4.el5_3.1.x86_64 
05.
        file /lib64/libgmodule-2.0.so.0.1200.3 from install of glib2-2.12.3-4.el5_3.1.x86_64 conflicts with file from package glib2-2.12.3-4.el5_3.1.x86_64 
06.
        file /lib64/libgobject-2.0.so.0.1200.3 from install of glib2-2.12.3-4.el5_3.1.x86_64 conflicts with file from package glib2-2.12.3-4.el5_3.1.x86_64 
07.
        file /lib64/libgthread-2.0.so.0.1200.3 from install of glib2-2.12.3-4.el5_3.1.x86_64 conflicts with file from package glib2-2.12.3-4.el5_3.1.x86_64 
08.
 
Bitte warten ..
Mitglied: hmarkus
03.04.2013 um 14:39 Uhr
Hallo,
Zitat von winlin:
...
Bei dem o.g. VMWare View Paket handelt es sich ja um eine 32bit Anwendung. Ich brauche also die Libary aus der Error Meldung
für mein Red Hat Linux Enterprise 5.5 x64 System (Kernel: 2.6.18-308.8.2.el5)
die Anleitung bezieht sich aber m.E. auf ein 32bit-System.

Wenn Du 32bit-Pakete auf einem 64bit-Sysytem installieren möchtest, musst Du Multilib konfigurieren, dabei stehen den Programmen auch die 32bit-Libraries zur Verfügung, allerdings sauber getrennt in unterschiedlichen Verzeichnissen.

Hast Du Multilib installiert??? oder ist das bei RedHat Standard???

Markus
Bitte warten ..
Mitglied: winlin
03.04.2013, aktualisiert um 15:05 Uhr
achsooo na klar anders wird es wohl nicht gehen. Wenn ich aber bei mir nachsehe dann habe ich z.B. folgendes:
/usr/lib
/usr/lib64

Also demanch habe ich ja libaries für 32 und 64bit. Mein VMware Verzeichnis befindet sich auch unter /usr/lib/vmware. Dort habe ich auch ein Verzeicnis mit Libaries und zwar in /usr/lib/vmware/lib

Wenn ich auf dem System nach der o.g. Libary suche dann befindet sich diese hier:
/usr/lib/vmware/lib/libgio-2.0.so.0

und der VMware View Client liegt hier:
/usr/bin/vmware-view

Wieso bekomme ich also den Fehler?
Bitte warten ..
Mitglied: hmarkus
03.04.2013 um 17:04 Uhr
Vielleicht musst Du Dich mal mit dem Befehl ldconfig auseinander setzen.
man ldconfig
Markus
Bitte warten ..
Mitglied: 16568
04.04.2013 um 09:53 Uhr
Hallo winlin,

das da ist nichts für Dich?


Lonesome Walker
Bitte warten ..
Mitglied: winlin
04.04.2013, aktualisiert um 10:07 Uhr
doch schon und ich habe es schon installiert und getestet. Komme auch recht weit gebe die Adresse des vsphere Servers ein, der zeigt mir auch die Pools an mit denen ich mich verbinden kann. Doch eine Verbindung klappt nicht. Die Meldung in der Log File lautet:
01.
Current Window Manager does not support _NET_WM_FULLSCREEN_MONITORS message
Gibt es hierfür eine Lösung? Oder soll ich nun hierfür einen neuen Thread aufmachen und den VM Kollegen zuweisen?
Bitte warten ..
Mitglied: 16568
04.04.2013 um 10:07 Uhr
Zitat von winlin:
doch schon aber es handelt sich hierbei um eine 32bit Variante. Ich benötige eine für mein 64bit System((

Wie Markus schon geschrieben hat, dann brauchst Du auch die entsprechenden 32Bit Libraries.

Guckst Du auch mal hier ...


Lonesome Walker
Bitte warten ..
Mitglied: winlin
04.04.2013 um 10:20 Uhr
zu meinem Fehler gibt es im wiki folgenden Hinweis:
01.
To use multiple monitors when connecting to desktops, the Xinerama extension to the X Window System must be enabled with more than one display defined. The system must also be running a window manager that supports the _NET_WM_FULLSCREEN_MONITORS window manager protocol, defined in freedesktop.org's Extended Window Manager Hints. 
Meine KDE Version ist: ist 3.5.4-26-el5_7.1.Red Hat
Bitte warten ..
Neuester Wissensbeitrag
Windows 10

Powershell 5 BSOD

(8)

Tipp von agowa338 zum Thema Windows 10 ...

Ähnliche Inhalte
Sicherheit
gelöst Libreoffice Makros deaktivieren - Button fehlt in LO 5 (2)

Frage von Der-Phil zum Thema Sicherheit ...

Windows Server
WDS mit PXE Linux (3)

Frage von HansWurstAugust zum Thema Windows Server ...

Linux Tools
Docker - Minimize your containers with alpine linux

Link von Sheogorath zum Thema Linux Tools ...

Monitoring
System Monitoring für Windows, Linux (5)

Frage von manuelw zum Thema Monitoring ...

Heiß diskutierte Inhalte
Microsoft
Ordner mit LW-Buchstaben versehen und benennen (20)

Frage von Xaero1982 zum Thema Microsoft ...

Outlook & Mail
gelöst Outlook 2010 findet ost datei nicht (19)

Frage von Floh21 zum Thema Outlook & Mail ...

Netzwerkmanagement
gelöst Anregungen, kleiner Betrieb, IT-Umgebung (18)

Frage von Unwichtig zum Thema Netzwerkmanagement ...

Festplatten, SSD, Raid
M.2 SSD wird nicht erkannt (14)

Frage von uridium69 zum Thema Festplatten, SSD, Raid ...